Package org.eclipse.handly

# Class ApiLevel

java.lang.Object
org.eclipse.handly.ApiLevel

public final class ApiLevel extends Object
Provides constants for API levels as defined by major and minor releases of Handly.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `_1_0`
  The 1.0 API level.
  `static final int`
  `_1_1`
  The 1.1 API level.
  `static final int`
  `_1_2`
  The 1.2 API level.
  `static final int`
  `_1_3`
  The 1.3 API level.
  `static final int`
  `_1_4`
  The 1.4 API level.
  `static final int`
  `_1_5`
  The 1.5 API level.
  `static final int`
  `_1_6`
  The 1.6 API level.
  `static final int`
  `_1_7`
  The 1.7 API level.
  `static final int`
  `CURRENT`
  Corresponds to the API level the code using this constant was built against.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### _1_0

    public static final int _1_0
    The 1.0 API level.
    See Also:
      - Constant Field Values

  - ### _1_1

    public static final int _1_1
    The 1.1 API level.
    Since:
      1.1
    See Also:
      - Constant Field Values

  - ### _1_2

    public static final int _1_2
    The 1.2 API level.
    Since:
      1.2
    See Also:
      - Constant Field Values

  - ### _1_3

    public static final int _1_3
    The 1.3 API level.
    Since:
      1.3
    See Also:
      - Constant Field Values

  - ### _1_4

    public static final int _1_4
    The 1.4 API level.
    Since:
      1.4
    See Also:
      - Constant Field Values

  - ### _1_5

    public static final int _1_5
    The 1.5 API level.
    Since:
      1.5
    See Also:
      - Constant Field Values

  - ### _1_6

    public static final int _1_6
    The 1.6 API level.
    Since:
      1.6
    See Also:
      - Constant Field Values

  - ### _1_7

    public static final int _1_7
    The 1.7 API level.
    Since:
      1.7
    See Also:
      - Constant Field Values

  - ### CURRENT

    public static final int CURRENT
    Corresponds to the API level the code using this constant was built against.
    See Also:
      - Constant Field Values